Index: code/branches/console/src/core/CommandEvaluation.cc
===================================================================
--- code/branches/console/src/core/CommandEvaluation.cc	(revision 1434)
+++ code/branches/console/src/core/CommandEvaluation.cc	(revision 1435)
@@ -100,5 +100,4 @@
         if (!this->bNewCommand_)
         {
-std::cout << "not new" << std::endl;
             switch (this->state_)
             {
@@ -163,10 +162,7 @@
         {
             case CS_Uninitialized:
-std::cout << "hint: CS_Uninitialized" << std::endl;
                 break;
             case CS_Empty:
-std::cout << "hint: CS_Empty" << std::endl;
             case CS_ShortcutOrIdentifier:
-std::cout << "hint: CS_ShortcutOrIdentifier" << std::endl;
                 if (this->listOfPossibleFunctions_.size() == 0)
                     return CommandEvaluation::dump(this->listOfPossibleIdentifiers_);
@@ -177,11 +173,8 @@
                 break;
             case CS_Function:
-std::cout << "hint: CS_Function" << std::endl;
                 return CommandEvaluation::dump(this->listOfPossibleFunctions_);
                 break;
             case CS_ParamPreparation:
-std::cout << "hint: CS_ParamPreparation" << std::endl;
             case CS_Params:
-std::cout << "hint: CS_Params" << std::endl;
                 if (this->listOfPossibleArguments_.size() > 0)
                     return CommandEvaluation::dump(this->listOfPossibleArguments_);
@@ -189,10 +182,8 @@
                     return CommandEvaluation::dump(this->function_);
             case CS_Finished:
-std::cout << "hint: CS_Finished" << std::endl;
                 if (this->function_)
                     return CommandEvaluation::dump(this->function_);
                 break;
             case CS_Error:
-std::cout << "hint: CS_Error" << std::endl;
                 return this->errorMessage_;
                 break;
Index: code/branches/console/src/core/CommandExecutor.cc
===================================================================
--- code/branches/console/src/core/CommandExecutor.cc	(revision 1434)
+++ code/branches/console/src/core/CommandExecutor.cc	(revision 1435)
@@ -126,17 +126,12 @@
     void CommandExecutor::parseIfNeeded(const std::string& command)
     {
-std::cout << "parse if needed: command:      >" << command << "<" << std::endl;
-std::cout << "                 old original: >" << CommandExecutor::getEvaluation().originalCommand_ << "<" << std::endl;
-std::cout << "                 old modified: >" << CommandExecutor::getEvaluation().command_ << "<" << std::endl;
         if (CommandExecutor::getEvaluation().state_ == CS_Uninitialized)
         {
-std::cout << "parse if needed: parse!" << std::endl;
             CommandExecutor::parse(command);
         }
-        else if (/*removeTrailingWhitespaces*/(CommandExecutor::getEvaluation().originalCommand_) != /*removeTrailingWhitespaces*/(command))
+        else if (CommandExecutor::getEvaluation().originalCommand_ != command)
         {
             if (CommandExecutor::getEvaluation().command_ == command)
             {
-std::cout << "parse if needed: parse and set bNewCommand_ to false" << std::endl;
                 CommandExecutor::parse(command);
                 CommandExecutor::getEvaluation().bNewCommand_ = false;
@@ -144,9 +139,7 @@
             else
             {
-std::cout << "parse if needed: parse!" << std::endl;
                 CommandExecutor::parse(command);
             }
         }
-std::cout << "parse if needed: don't parse" << std::endl;
     }
 
@@ -163,5 +156,4 @@
         {
             case CS_Uninitialized:
-std::cout << "0: Uninitialized\n";
             {
                 // Impossible
@@ -169,5 +161,4 @@
             }
             case CS_Empty:
-std::cout << "0: Empty\n";
             {
                 if (CommandExecutor::argumentsGiven() == 0)
@@ -184,5 +175,4 @@
             }
             case CS_ShortcutOrIdentifier:
-std::cout << "0: ShortcutOrIdentifier\n";
             {
                 if (CommandExecutor::argumentsGiven() > 1)
@@ -201,5 +191,4 @@
                     else if (CommandExecutor::getEvaluation().functionclass_)
                     {
-std::cout << "MEP" << std::endl;
                         // It's a functionname
                         CommandExecutor::getEvaluation().state_ = CS_Function;
@@ -283,5 +272,4 @@
             }
             case CS_Function:
-std::cout << "0: Function\n";
             {
                 if (CommandExecutor::getEvaluation().functionclass_)
@@ -295,5 +283,4 @@
                         if (CommandExecutor::getEvaluation().function_)
                         {
-std::cout << "MEP2" << std::endl;
                             // It's a function
                             CommandExecutor::getEvaluation().state_ = CS_ParamPreparation;
@@ -551,18 +538,13 @@
     std::string CommandExecutor::getPossibleArgument(const std::string& name, ConsoleCommand* command, unsigned int param)
     {
-std::cout << "4_1\n";
         CommandExecutor::createArgumentCompletionList(command, param);
 
-std::cout << "4_2\n";
         std::string lowercase = getLowercase(name);
-std::cout << "4_3\n";
         for (std::list<std::pair<std::string, std::string> >::const_iterator it = command->getArgumentCompletionListBegin(); it != command->getArgumentCompletionListEnd(); ++it)
         {
-std::cout << "4_4\n";
             if ((*it).first == lowercase)
                 return (*it).second;
         }
 
-std::cout << "4_5\n";
         return "";
     }
Index: code/branches/console/src/core/ConfigFileManager.cc
===================================================================
--- code/branches/console/src/core/ConfigFileManager.cc	(revision 1434)
+++ code/branches/console/src/core/ConfigFileManager.cc	(revision 1435)
@@ -39,5 +39,5 @@
 {
     SetConsoleCommandShortcutExtern(config).setArgumentCompleter(0, autocompletion::configvalueclasses()).setArgumentCompleter(1, autocompletion::configvalues()).setArgumentCompleter(2, autocompletion::configvalue());
-    SetConsoleCommandShortcutExtern(tconfig);
+    SetConsoleCommandShortcutExtern(tconfig).setArgumentCompleter(0, autocompletion::configvalueclasses()).setArgumentCompleter(1, autocompletion::configvalues()).setArgumentCompleter(2, autocompletion::configvalue());
     SetConsoleCommandShortcutExtern(reloadConfig);
     SetConsoleCommandShortcutExtern(cleanConfig);
@@ -47,15 +47,10 @@
     bool config(const std::string& classname, const std::string& varname, const std::string& value)
     {
-std::cout << "10a_1\n";
         std::map<std::string, Identifier*>::const_iterator identifier = Identifier::getLowercaseIdentifierMap().find(getLowercase(classname));
         if (identifier != Identifier::getLowercaseIdentifierMapEnd())
         {
-std::cout << "10a_2\n";
             std::map<std::string, ConfigValueContainer*>::const_iterator variable = (*identifier).second->getLowercaseConfigValueMap().find(getLowercase(varname));
             if (variable != (*identifier).second->getLowercaseConfigValueMapEnd())
-            {
-std::cout << "10a_3\n";
-                return (*variable).second->tset(value);
-            }
+                return (*variable).second->set(value);
         }
         return false;
@@ -64,15 +59,10 @@
     bool tconfig(const std::string& classname, const std::string& varname, const std::string& value)
     {
-std::cout << "10b_1\n";
         std::map<std::string, Identifier*>::const_iterator identifier = Identifier::getLowercaseIdentifierMap().find(getLowercase(classname));
         if (identifier != Identifier::getLowercaseIdentifierMapEnd())
         {
-std::cout << "10b_2\n";
             std::map<std::string, ConfigValueContainer*>::const_iterator variable = (*identifier).second->getLowercaseConfigValueMap().find(getLowercase(varname));
             if (variable != (*identifier).second->getLowercaseConfigValueMapEnd())
-            {
-std::cout << "10b_3\n";
                 return (*variable).second->tset(value);
-            }
         }
         return false;
